#' Author:    Marco Mina
#' Last updated:   20.06.2017
#' 
#' (c) Copyright Marco Mina
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Load select R pakcage
require(select)

# Load pancan23 dataset
load('pancan23_gam.RData')

# Run select on pancan23
alpi = select(M=pancan23$gam, sample.class=pancan23$samples$tumor_subtype, alteration.class= pancan23$alterations$alteration_type, folder='select_pancan23_seed.104/', r.seed = 104, n.cores=2)
